Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162520 - Debugger does not highlight current line
Summary: Debugger does not highlight current line
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Foox
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 19:55 UTC by Gijs Hollestelle
Modified: 2008-05-07 00:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:12:26 UTC


Attachments (Terms of Use)

Description Gijs Hollestelle 2005-07-05 19:55:54 UTC
Description of problem:
Python debugger works correctly but does not highlight current (instruction
pointer) line

Version-Release number of selected component (if applicable):
eclipse-pydev-0.9.3_fc-7

How reproducible:
Set a breakpoint in a python file and run it in the debugger or step through a
python file in the debugger. 

Steps to Reproduce:
1. Add a python file to the project
2. Add a breakpoint in the file
3. Run it in the debugger
  
Actual results:
It breaks at the line where the breakpoint was set (it shows this in the upper
debug pane) but that line is not highlighted in the source file.

Expected results:
The line is highlighted in the source file, see also:
http://pydev.sourceforge.net/images/debugger.gif

Additional info:
Also reproducible on eclipse-platform-3.1.0_fc-2 from rawhide.
Maybe an upgrade to pydev 0.9.5 would help?

Comment 1 Jeff Pound 2005-07-05 21:25:51 UTC
This bug is currently being addressed upstream. see
http://sourceforge.net/tracker/index.php?func=detail&aid=1230968&group_id=85796&atid=577329

pydev 0.9.5 isn't compatable with eclipse 3.1 yet. As soon as it is there will
be an update for fc4, (hopefully fixing the debugger problem as well)

Comment 2 Christian Iseli 2007-01-22 11:24:21 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Andrew Overholt 2007-03-24 21:25:24 UTC
Igor:  when we get PyDev built this week, can you see if this is fixed?  Thanks.

Comment 4 Igor Foox 2007-03-26 02:59:16 UTC
I'm 99.9% confident that it was addressed upstream and the problem was simply an
outdated version. But I'll check once I have a fully working package.

Comment 5 Bug Zapper 2008-04-03 16:14:42 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:12:25 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.